<?php

/**
 * Main context class to detect user's device type.
 */
class cmd_condition extends context_condition {
  function condition_values() {
    return array(
      1 => t('Mobile Device'),
      2 => t('Tablet Device'),
      3 => t('Desktop Device')
    );
  }

  function editor_form($context = NULL) {
    $form = parent::editor_form($context);
    $form[1]['#title'] = t('Mobile Device');
    $form[2]['#title'] = t('Tablet Device');
    $form[3]['#title'] = t('Desktop Device');
    $form['#weight'] = -10;
    return $form;
  }

  function execute() {
    require_once drupal_get_path('module', 'context_mobile_detect') . '/library/mobile_detect.php';
    $layout = 3; // Set default value to Desktop
    if (!isset($_SESSION['cmdLayout']) || !$_SESSION['cmdLayout']) {
      $detect = new Mobile_Detect();
      $_SESSION['cmdLayout'] = $layout = ($detect->isMobile() ? ($detect->isTablet() ? 2 : 1) : 3);
    } else {
      $layout = $_SESSION['cmdLayout'];
    }

    foreach ($this->get_contexts($layout) as $context) {
      $this->condition_met($context, $layout);
    }
  }
}